## ros-dashing-dynamixel-sdk 3.7.40

=== debian/changelog ===
ros-dashing-dynamixel-sdk (3.7.40-10bionic) bionic; urgency=high

  * Add ROS 2 basic example
  * Bug fix
  * Contributors: Will Son

 -- Will Son <willson@robotis.com>  Tue, 13 Apr 2021 15:00:00 -0000

ros-dashing-dynamixel-sdk (3.7.30-10bionic) bionic; urgency=high

  * ROS 2 Eloquent Elusor supported
  * ROS 2 Foxy Fitzroy supported
  * 3x faster getError member function of GroupSync&BulkRead Class #388
  * Contributors: developer0hye, Zerom, Will Son

 -- Will Son <willson@robotis.com>  Sun, 12 Jul 2020 15:00:00 -0000

ros-dashing-dynamixel-sdk (3.7.20-10bionic) bionic; urgency=high

  * Fixed buffer overflow bug (rxpacket size)
  * Fixed typo in the package.xml and header files
  * Contributors: Chris Lalancette, Zerom, Pyo

 -- Pyo <pyo@robotis.com>  Thu, 05 Sep 2019 15:00:00 -0000

ros-dashing-dynamixel-sdk (3.7.10-10bionic) bionic; urgency=high

  * Supported ROS 2 Dashing Diademata
  * Contributors: Darby, Pyo

 -- Pyo <pyo@robotis.com>  Sun, 18 Aug 2019 15:00:00 -0000

ros-dashing-dynamixel-sdk (3.7.0-10bionic) bionic; urgency=high

  * Added clear instruction #269 <https://github.com/ROBOTIS-GIT/DynamixelSDK/issues/269>
  * Removed busy waiting for rxPacket()
  * Fixed addStuffing() function (reduced stack memory usage)
  * Fixed memory issues #268 <https://github.com/ROBOTIS-GIT/DynamixelSDK/issues/268>
  * Fixed the broadcast ping bug in dxl_monitor
  * Contributors: Gilbert, Pyo, Zerom

 -- Pyo <pyo@robotis.com>  Wed, 02 Jan 2019 15:00:00 -0000

ros-dashing-dynamixel-sdk (3.6.2-10bionic) bionic; urgency=high

  * Added python modules for ROS to ros folder
  * Moved cpp library files for ROS to ros folder
  * Created an ROS package separately #187 <https://github.com/ROBOTIS-GIT/DynamixelSDK/issues/187>
  * Modified the e-Manual address to emanual.robotis.com
  * Contributors: Pyo

 -- Pyo <pyo@robotis.com>  Mon, 16 Jul 2018 15:00:00 -0000

ros-dashing-dynamixel-sdk (3.6.1-10bionic) bionic; urgency=high

  * removed printTxRxResult(), printRxPacketError() #193 <https://github.com/ROBOTIS-GIT/DynamixelSDK/issues/193>
  * removed cache files
  * merge pull request #195 <https://github.com/ROBOTIS-GIT/DynamixelSDK/issues/195>
  * Contributors: Gilbert, Pyo

 -- Pyo <pyo@robotis.com>  Wed, 13 Jun 2018 15:00:00 -0000

ros-dashing-dynamixel-sdk (3.6.0-10bionic) bionic; urgency=high

  * Replaced : DynamixelSDK Python as a native language (Python 2 and 3 for Windows, Linux, Mac OS X) #93 #122 #147 #181 #182 #185
  * Added : CONTRIBUTING.md added
  * Changes : ISSUE_TEMPLATE.md modified
  * Changes : C++ version - SyncRead / BulkRead - getError functions added
  * Changes : Deprecated functions removed
  * Fixes : DynamixelSDK MATLAB 2017 - new typedef (int8_t / int16_t / int32_t) applied in robotis_def.h #161 #179
  * Fixes : Added missing header file for reset and factory_reset examples #167
  * Contributors: Leon

 -- Pyo <pyo@robotis.com>  Thu, 15 Mar 2018 15:00:00 -0000

ros-dashing-dynamixel-sdk (3.5.4-10bionic) bionic; urgency=high

  * Added : Deprecated is now being shown by attributes #67 #107
  * Fixes : DynamixelSDK ROS Indigo Issue - target_sources func in CMake
  * Fixes : Bug in protocol1_packet_handler.cpp, line 222 checking the returned Error Mask #120
  * Fixes : Packet Handlers - array param uint8_t to uint16_t to avoid closure loop when the packet is too long to be in uint8_t appropriately
  * Fixes : Group Syncwrite using multiple ports in c library issue solved (test code is also in this issue bulletin) #124
  * Fixes : Support getting of time on MacOSX/XCode versions that doesn't support (CLOCK_REALTIME issue) #141 #144
  * Changes : DynamixelSDK Ubuntu Linux usb ftdi latency timer fix issue - changes the default latency timer as 16 ms in all OS, but some about how to change the latency timer was commented in the codes (now the latency timer should be adjusted by yourself... see port_handler_linux source code to see details) #116
  * Contributors: Leon

 -- Pyo <pyo@robotis.com>  Thu, 30 Nov 2017 15:00:00 -0000

ros-dashing-dynamixel-sdk (3.5.3-10bionic) bionic; urgency=high

  * Fixes : DynamixelSDK ROS Kinetic Issue - ARM - Debian Jessie solved by replacing target_sources func in CMake to set_property #136
  * Contributors: Leon

 -- Pyo <pyo@robotis.com>  Sun, 29 Oct 2017 15:00:00 -0000

ros-dashing-dynamixel-sdk (3.5.2-10bionic) bionic; urgency=high

  * Recover : Check if the id of rxpacket is the same as the id of txpacket #82
  * Changes : Ping examples now will not show Dynamixel model number when communication is failed
  * Contributors: Leon

 -- Pyo <pyo@robotis.com>  Sun, 17 Sep 2017 15:00:00 -0000

ros-dashing-dynamixel-sdk (3.5.1-10bionic) bionic; urgency=high

  * Standardizes folder structure of ROS c++
  * Fixes : Inconvenient way of getting meaning of packet result and error value #67
  * Fixes : Maximum length of port name is expanded to 100 #100
  * Alternative : Include port_handler.h through relative path. #90
  * Changes : Indent correction / Example tests & refresh / OS IFDEF
  * Changes : Default Baudrate from 1000000(1M) bps to 57600 bps
  * Changes : Macro for control table value changed to uints
  * Changes : API references will be provided as doxygen (updates in c++ @ 3.5.1)
  * Changes : License changed into Apache License .2.0 (Who are using SDK in previous license can use it as it is)
  * Deprecated : getTxRxResult, getRxPacketError function will be unavailable in Dynamixel SDK 3.6.1
  * Contributors: Leon

 -- Pyo <pyo@robotis.com>  Thu, 17 Aug 2017 15:00:00 -0000

ros-dashing-dynamixel-sdk (3.4.7-10bionic) bionic; urgency=high

  * hotfix - Bug in Dynamixel group control is solved temporarily
  * Contributors: Leon, Zerom

 -- Pyo <pyo@robotis.com>  Mon, 17 Jul 2017 15:00:00 -0000

ros-dashing-dynamixel-sdk (3.4.6-10bionic) bionic; urgency=high

  * hotfix - now DynamixelSDK for protocol1.0 supports read/write 4Byte (for XM series)
  * Contributors: Leon

 -- Pyo <pyo@robotis.com>  Thu, 06 Jul 2017 15:00:00 -0000


